import { Component, OnInit, ContentChildren, Input, ViewChildren, TemplateRef } from '@angular/core';
@Component({
  templateUrl: 'tab.component.html',
  selector: 'app-tab',
  styleUrls: ['./tab.component.scss']
})
export class TabComponent implements OnInit {
  @ContentChildren(Component) content: Component;
  @Input() title: string;
  @Input() active = false;
  @Input() tabIndex: number;
  @Input() direction: 'left' | 'right' | 'none';

  constructor() { }

  ngOnInit(): void {
  }

}
