import { Category } from '../enum/category';
import { CountryCode } from '../enum/country-codes';
/**
 * Search in Top Headlines
 * at least one of following propertys
 *  * country
 *  * sources
 *  * q
 * must been set!
 */
export class TopHeadlineSearchDto {
  country?: CountryCode;
  category?: Category;
  sources?: string;
  q?: string;
  pageSize?: number;
  page?: number;
  apiKey: string;
}
